Request

Response

    Get the updated task executions in a job
    GET

    queues/{queueId}/jobs/{jobId}/executions:updates

    Get the task executions in the specified job ID that have been updated since the last call.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs/{jobId}/executions:updates
    Authentication Context
    user context optional
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    region
    string
    The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail.
    * Required

    Request

    URI Parameters

    queueId
    string
    The queue ID. Use the special ID @default to indicate the default queue for the user or client app.
    jobId
    string
    The job ID

    Request

    Query String Parameters

    after
    datetime: ISO 8601
    A timestamp in ISO 8601 format used to indicate that only results after this time are interesting.
    paginationToken
    string
    Job pagination token. This parameter should not be specified manually; instead, the complete nextUrl should be used to retrieve the next set of jobs. It is documented here for completeness.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    Bad request - indicates an incorrectly structured or otherwise incorrect request.
    401
    Unauthorized
    Unauthorized - credentials are invalid or not provided in the request
    403
    Forbidden
    Forbidden - the user or client does not have the required privileges to access this resource
    404
    Not Found
    The specified resource was not found

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    Provides additional information that can be used when iterating over results that are too large to fit into one response. In such cases, the pagination information indicates how to retrieve the next set of results and when done. Note that not all information in the pagination object is guaranteed to be present. For more details, refer to the developer guide.
    limit
    int
    If present, indicates the limit that was used when the request was made
    totalResults
    int
    If present, indicates the total number of results that are available.
    nextUrl
    string
    If present, this URL can be used to get the next set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that there are no more results that can be retrieved.
    previousUrl
    string
    If present, this URL can be used to get the previous set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that the API does not provide this functionality for this endpoint.
    results
    array: object
    createdAt
    datetime: ISO 8601
    The date and time of creation in ISO 8601 format (UTC)
    updatedAt
    datetime: ISO 8601
    The date and time of the last update in ISO 8601 format (UTC)
    startedAt
    datetime: ISO 8601
    The date and time when processing started in ISO 8601 format (UTC)
    endedAt
    datetime: ISO 8601
    The date and time when processing completed in ISO 8601 format (UTC)
    name
    string
    The name of the execution
    executor
    one of
    A reference to the task executor that should perform a specific task, indicating which compute capability should perform the task.
    Task executor name
    string
    The name of a task executor

    Max length: 200

    Task executor version reference
    object
    References a specific task executor version
    name
    string
    The name of a task executor

    Max length: 200

    version
    string
    The version of a task executor

    Max length: 200

    error
    object
    Information about an error encountered while executing a task
    details
    object
    message
    string
    A text representation of the error.
    progress
    object
    Provides information about the progress of a task.
    percent
    number
    Indicates the percentage complete for a task.

    Note: The percentage complete is an indication only and should not be used to determine whether a task is entirely completed or not - use the status for this instead.

    details
    object
    Executor-specific additional progress details.
    results
    object
    The results from a task.
    details
    object
    Executor-specific task result details.
    status
    enum:string
    Specifies the status of a task/job Possible values: CREATED, WAITING, SCHEDULED, RUNNING, SUCCEEDED, FAILED, CANCELED
    type
    string
    Contains the type of task execution. This can be used to determine whether this is a regular task execution.
    updatedAt
    datetime: ISO 8601
    The date and time of the last update in ISO 8601 format (UTC)

    Example

    This example retrieves the list of executions for the job da4aa881-d54b-4c5a-a142-391ebd9e98e0 that were updated after 2024-04-26T18:38:05.303Z.

    Request

    curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs/da4aa881-d54b-4c5a-a142-391ebd9e98e0/executions:updates?after=2024-04-26T18:38:05.303Z' \
      -X 'GET' \
      -H 'Authorization: Bearer eyJhbGciOiJS...' \
    

    Response

    {
        "results": [
            {
                "name": "execute bifrost graph",
                "executor": "bifrost",
                "status": "SUCCEEDED",
                "createdAt": "2024-04-26T18:38:05.303Z",
                "updatedAt": "2024-04-26T18:38:45.762Z",
                "endedAt": "2024-04-26T18:38:45.762Z",
                "results": {
                    "details": {
                        "startFrame": 1,
                        "peakCpu": 0,
                        "disk": 99774,
                        "memory": 1620045824,
                        "peakMemory": 1916051456,
                        "cpu": 0,
                        "endFrame": 1,
                        "completedFrames": 1,
                        "totalFrames": 1
                    }
                },
                "type": "task"
            }
        ],
        "updatedAt": "2024-04-26T18:38:45.762Z"
    }
    
    Show More